org.eclipse.ease.lang.python.py4j.internal

## Interface IInteractiveReturn

    public interface IInteractiveReturn

Type encapsulating return from the Python side.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `getException()` Return the exception details, or `null` if there was no exception.
`java.lang.Object` `getResult()` Get the result of running the code, or `null` if there is no return value.

### Method Detail

#### getException

    java.lang.Object getException()

Return the exception details, or `null` if there was no exception. This method may return a fully constructed Java exception is possible, if not possible, this method returns the message for an exception.

Returns:
  the exception details.

#### getResult

    java.lang.Object getResult()

Get the result of running the code, or `null` if there is no return value.

Returns:
  the Java instance of the type, or if Python returned something that cannot be represented as a Java type, return a repr() of the value.